Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.navigation.page
Enum PageLabel.NumberStyleEnum

    java.lang.Object
      java.lang.Enum<PageLabel.NumberStyleEnum>
          org.pdfclown.documents.interaction.navigation.page.PageLabel.NumberStyleEnum

All Implemented Interfaces:
  Serializable, Comparable<PageLabel.NumberStyleEnum>

Enclosing class:
  PageLabel

    public static enum PageLabel.NumberStyleEnum

extends Enum<PageLabel.NumberStyleEnum>

Enum Constant Summary
`ArabicNumber` Decimal arabic numerals.
`LCaseLetter` Lower-case letters (a to z for the first 26 pages, aa to zz for the next 26, and so on).
`LCaseRomanNumber` Lower-case roman numerals.
`UCaseLetter` Upper-case letters (A to Z for the first 26 pages, AA to ZZ for the next 26, and so on).
`UCaseRomanNumber` Upper-case roman numerals.

Method Summary
`static PageLabel.NumberStyleEnum` | `get(PdfName value)` Gets the number style corresponding to the given value.
`PdfName` | `getCode()`
`static PageLabel.NumberStyleEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PageLabel.NumberStyleEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ArabicNumber

    public static final PageLabel.NumberStyleEnum ArabicNumber

  Decimal arabic numerals.

### UCaseRomanNumber

    public static final PageLabel.NumberStyleEnum UCaseRomanNumber

  Upper-case roman numerals.

### LCaseRomanNumber

    public static final PageLabel.NumberStyleEnum LCaseRomanNumber

  Lower-case roman numerals.

### UCaseLetter

    public static final PageLabel.NumberStyleEnum UCaseLetter

  Upper-case letters (A to Z for the first 26 pages, AA to ZZ for the next 26, and so on).

### LCaseLetter

    public static final PageLabel.NumberStyleEnum LCaseLetter

  Lower-case letters (a to z for the first 26 pages, aa to zz for the next 26, and so on).

Method Detail

### values

    public static PageLabel.NumberStyleEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PageLabel.NumberStyleEnum c : PageLabel.NumberStyleEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PageLabel.NumberStyleEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static PageLabel.NumberStyleEnum get(PdfName value)

  Gets the number style corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.